package test;

import java.io.Serializable;

public class SimpleEntity implements Serializable {
    private static final long serialVersionUID = 2996852016665044377L;
    private String name;
    private String surname;
    private boolean dead;
    private String key;

    public SimpleEntity(long id, String name, String surname, boolean dead, long gid, boolean replicable) {
        this.key = Long.toString(id);
        this.name = name;
        this.surname = surname;
        this.dead = dead;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return "SimpleEntity{" + "name='" + name + '\'' + ", surname='" + surname + '\'' + ", dead=" + dead + "} ";
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof SimpleEntity)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        SimpleEntity that = (SimpleEntity) o;
        if (dead != that.dead) {
            return false;
        }
        if (name != null ? !name.equals(that.name) : that.name != null) {
            return false;
        }
        if (surname != null ? !surname.equals(that.surname) : that.surname != null) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int result = super.hashCode();
        result = 31 * result + (name != null ? name.hashCode() : 0);
        result = 31 * result + (surname != null ? surname.hashCode() : 0);
        result = 31 * result + (dead ? 1 : 0);
        return result;
    }

    public Object getPrimaryKey() {
        return key;
    }
}